package main;

import ea.Game;

/**
 * Von hier wird alles initialisiert. Das ist die höchste Klasse.
 */
public class Main extends Game {
	
	public static Main instance;

	private World world;

	public static final int WIDTH = 1000; // Fensterbreite
	public static final int HEIGHT = 800; // Fensterhöhe

	public Main() {
		super(WIDTH, HEIGHT);
		instance = this;

		// Welt initialisieren und Spieler hinzufügen
		world = new World();
		// die Welt zu EA hinzufügen
		wurzel.add(world);
	}

	@Override
	public void tasteReagieren(int code) {
	}

	public World getWorld() {
		return world;
	}
}
